%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif



Name:           django-lint
Version:        0.13
Release:        9%{?dist}
Summary:        Analyzes Django code looking for bugs and signs of poor quality

Group:          Development/Debuggers
License:        GPLv3+
URL:            http://chris-lamb.co.uk/projects/django-lint/
Source0:        http://chris-lamb.co.uk/releases/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  python2-devel
Requires:       Django
Requires:       pylint

%description
Django Lint is a static analysis tool that checks (or "lints") projects 
and applications that use the Django web development framework.

It reports on common programming errors and bad code smells, including 
checking for null-able CharField field types, the use of brittle or deprecated 
Django features (such as auto_now_add) as well as the absence of recommended 
options in settings.py. It aims to encourage the development of high-quality 
re-usable Django applications.

Django Lint is currently implemented as a wrapper around PyLint.


%prep
%setup -q -n %{name}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%{__mkdir} -pm 755 %{buildroot}%{_mandir}/man1
%{__install} -pm 644 django-lint.1 %{buildroot}%{_mandir}/man1/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc  README.rst COPYING
%{python_sitelib}/DjangoLint*
%{python_sitelib}/django_lint*
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Matthias Runge <mrunge@matthias-runge.de> - 0.13-8
- Rebuild

* Thu Jul 22 2010 Matthias Runge <mrunge@matthias-runge.de> - 0.13-7
- Fix errors for rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.13-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Mar 29 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-5
- Fix execute permissions

* Mon Mar 29 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-4
- Install man page

* Sat Mar 27 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-3
- SPEC Fix: License is GPLv3+

* Mon Mar 01 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-2
- SPEC-Fixes (global instead of define), Source0 fixed

* Tue Feb 02 2010 Matthias Runge <mrunge@fedoraproject.org> 0.13-1
- Update to version 0.13

* Sun Jan 03 2010 Matthias Runge <mrunge@fedoraproject.org> 0.12-1
- Version bump 0.12

* Fri Dec 4 2009 Matthias Runge <mrunge@fedoraproject.org> 0.11-5
- SPEC fix for mock build
 
* Wed Dec 2 2009 Matthias Runge <mrunge@fedoraproject.org> 0.11-4
- SPEC fixes

* Mon Nov 23 2009 Matthias Runge <mrunge@fedoraproject.org> 0.11-1
- Version 0.11
- Initial RPM build
